Subject: bug#58850: 29.0.50; sqlite crashes on error

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Nov 2022 09:45:37 +0200

> From: Andrew Hyatt <[email-masked]>
> Date: Tue, 1 Nov 2022 00:28:36 -0400
> Cc: [email-masked]
> 
> Right now, I narrowed the problem down to the sqlite connection name creation, since it is the printing of the
> sqlite object's name that causes the crash.

This is not at all clear from the backtrace you posted; see below.

> The creation of the name is on sqlite.c line 269
> (https://git.savannah.gnu.org/cgit/emacs.git/tree/src/sqlite.c#n269).  I can make the crash go away by
> substituting that line with my own filename:  name = build_string("/tmp/test.db");

That line just encodes the file name.  I have hard time believing it
could cause a problem like this.  What do you see in the value of
'name' after line 269 is executed?

For starters, please rebuild Emacs without optimizations and with
"--enable-checking=yes" at configure time, and then post a full
backtrace when running the recipe you posted.  The original backtrace
you posted seems to come from an optimized build (so line numbers
don't tell the whole story), and includes multiple references to ERT
functions, from which I conclude it was not obtained by running the
recipe, but by running something much more complex.

Armed with the accurate backtrace, we might have a different picture
of what causes this problem.